Package org.eclipse.gef.tools

# Class DirectEditManager.DirectEditBorder

java.lang.Object
org.eclipse.draw2d.AbstractBorder
org.eclipse.gef.tools.DirectEditManager.DirectEditBorder

All Implemented Interfaces:
  `org.eclipse.draw2d.Border`

Enclosing class:
  DirectEditManager

protected static class DirectEditManager.DirectEditBorder extends org.eclipse.draw2d.AbstractBorder
The border used to 'frame' the cell editor.

Since:
  3.9

## Field Summary

### Fields inherited from class org.eclipse.draw2d.AbstractBorder

`tempRect`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`DirectEditBorder()`

## Method Summary

Modifier and Type
Method
Description
`org.eclipse.draw2d.geometry.Insets`
`getInsets(org.eclipse.draw2d.IFigure figure)`
`void`
`paint(org.eclipse.draw2d.IFigure figure, org.eclipse.draw2d.Graphics graphics, org.eclipse.draw2d.geometry.Insets insets)`

### Methods inherited from class org.eclipse.draw2d.AbstractBorder

`getPaintRectangle, getPreferredSize, isOpaque`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DirectEditBorder

protected DirectEditBorder()

## Method Details

### getInsets

public org.eclipse.draw2d.geometry.Insets getInsets(org.eclipse.draw2d.IFigure figure)

### paint

public void paint(org.eclipse.draw2d.IFigure figure, org.eclipse.draw2d.Graphics graphics, org.eclipse.draw2d.geometry.Insets insets)